Package de.willuhn.jameica.hbci.server

# Class EinnahmeAusgabe

java.lang.Object
de.willuhn.jameica.hbci.server.EinnahmeAusgabe

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `EinnahmeAusgabeZeitraum`, `Remote`

public class EinnahmeAusgabe extends Object implements EinnahmeAusgabeZeitraum
Container fuer die EinnahmeAusgabe-Daten.

## Constructor Summary

Constructors
Constructor
Description
`EinnahmeAusgabe()`
ct.
`EinnahmeAusgabe(Konto k)`
Konstruktor für ein Konto, für das die Werte über `addUmsatz(Umsatz)` hinzugefügt werden

## Method Summary

Modifier and Type
Method
Description
`void`
`addUmsatz(Umsatz umsatz)`
aktualisisere Beträge und Salden anhand des Umsatzes, es wird davon ausgegangen, dass nur Umsätze des passenden Kontos in der richtigen Reihenfolge hinzugefügt werden
`boolean`
`equals(de.willuhn.datasource.GenericObject arg0)`
`double`
`getAnfangssaldo()`
Liefert den Anfangssaldo.
`Object`
`getAttribute(String arg0)`
`String[]`
`getAttributeNames()`
`double`
`getAusgaben()`
Liefert die Ausgaben.
`double`
`getDifferenz()`
Liefert den Differenz aus errechnetem Saldo und tatsaechlichem Saldo.
`double`
`getEinnahmen()`
Liefert die Einnahmen.
`Date`
`getEnddatum()`
Liefert das End-Datum.
`double`
`getEndsaldo()`
Liefert den End-Saldo.
`String`
`getID()`
`Konto`
`getKonto()`
Liefert das Konto.
`double`
`getPlusminus()`
Liefert die Differenz aus Einnahmen und Ausgaben.
`String`
`getPrimaryAttribute()`
`Date`
`getStartdatum()`
Liefert das Start-Datum.
`String`
`getText()`
Liefert den Beschreibungstext der Zeile.
`boolean`
`hasDiff()`
Liefert true, wenn eine Differenz aus berechnetem und tatsaechlichem Saldo vorliegt.
`boolean`
`isSumme()`
Liefert true, wenn es eine Summen-Zeile ist.
`void`
`setAnfangssaldo(double anfangssaldo)`
Speichert den Anfangssaldo.
`void`
`setAusgaben(double ausgaben)`
Speichert die Ausgaben.
`void`
`setEinnahmen(double einnahmen)`
Speichert die Einnahmen.
`void`
`setEnddatum(Date enddatum)`
Speichert das End-Datum.
`void`
`setEndsaldo(double endsaldo)`
Speichert den End-Saldo.
`void`
`setIsSumme(boolean b)`
Legt fest, ob es sich um eine Summen-Zeile handelt.
`void`
`setStartdatum(Date startdatum)`
Speichert das Start-Datum.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EinnahmeAusgabe

public EinnahmeAusgabe()
ct.

### EinnahmeAusgabe

public EinnahmeAusgabe(Konto k) throws RemoteException
Konstruktor für ein Konto, für das die Werte über `addUmsatz(Umsatz)` hinzugefügt werden

Parameters:
  `k` - das Konto
Throws:
  `RemoteException`

## Method Details

### addUmsatz

public void addUmsatz(Umsatz umsatz) throws RemoteException
aktualisisere Beträge und Salden anhand des Umsatzes, es wird davon ausgegangen, dass nur Umsätze des passenden Kontos in der richtigen Reihenfolge hinzugefügt werden

Parameters:
  `umsatz` - der Umsatz
Throws:
  `RemoteException`

### getKonto

public Konto getKonto()
Liefert das Konto.

Returns:
  das Konto.

### getText

public String getText()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert den Beschreibungstext der Zeile.

Specified by:
  `getText` in interface `EinnahmeAusgabeZeitraum`
Returns:
  der Beschreibungstext der Zeile.
See Also:
  - `EinnahmeAusgabeZeitraum.getText()`

### getAnfangssaldo

public double getAnfangssaldo()
Liefert den Anfangssaldo.

Returns:
  der Anfangssaldo.

### setAnfangssaldo

public void setAnfangssaldo(double anfangssaldo)
Speichert den Anfangssaldo.

Parameters:
  `anfangssaldo` - der Anfangssaldo.

### getEinnahmen

public double getEinnahmen()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert die Einnahmen.

Specified by:
  `getEinnahmen` in interface `EinnahmeAusgabeZeitraum`
Returns:
  die Einnahmen.
See Also:
  - `EinnahmeAusgabeZeitraum.getEinnahmen()`

### setEinnahmen

public void setEinnahmen(double einnahmen)
Speichert die Einnahmen.

Parameters:
  `einnahmen` - die Einnahmen.

### getAusgaben

public double getAusgaben()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert die Ausgaben.

Specified by:
  `getAusgaben` in interface `EinnahmeAusgabeZeitraum`
Returns:
  die Ausgaben.
See Also:
  - `EinnahmeAusgabeZeitraum.getAusgaben()`

### setAusgaben

public void setAusgaben(double ausgaben)
Speichert die Ausgaben.

Parameters:
  `ausgaben` - die Ausgaben.

### getEndsaldo

public double getEndsaldo()
Liefert den End-Saldo.

Returns:
  endsaldo der End-Saldo.

### setEndsaldo

public void setEndsaldo(double endsaldo)
Speichert den End-Saldo.

Parameters:
  `endsaldo` - der End-Saldo.

### getStartdatum

public Date getStartdatum()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert das Start-Datum.

Specified by:
  `getStartdatum` in interface `EinnahmeAusgabeZeitraum`
Returns:
  das Start-Datum.
See Also:
  - `EinnahmeAusgabeZeitraum.getStartdatum()`

### setStartdatum

public void setStartdatum(Date startdatum)
Speichert das Start-Datum.

Parameters:
  `startdatum` - das Start-Datum.

### getEnddatum

public Date getEnddatum()
Description copied from interface: `EinnahmeAusgabeZeitraum`
Liefert das End-Datum.

Specified by:
  `getEnddatum` in interface `EinnahmeAusgabeZeitraum`
Returns:
  das End-Datum.
See Also:
  - `EinnahmeAusgabeZeitraum.getEnddatum()`

### setEnddatum

public void setEnddatum(Date enddatum)
Speichert das End-Datum.

Parameters:
  `enddatum` - das End-Datum.

### getDifferenz

public double getDifferenz()
Liefert den Differenz aus errechnetem Saldo und tatsaechlichem Saldo.

Returns:
  der Differenz-Betrag.

### hasDiff

public boolean hasDiff()
Liefert true, wenn eine Differenz aus berechnetem und tatsaechlichem Saldo vorliegt.

Returns:
  true, wenn eine Differenz aus berechnetem und tatsaechlichem Saldo vorliegt.

### getPlusminus

public double getPlusminus()
Liefert die Differenz aus Einnahmen und Ausgaben.

Returns:
  die Differenz aus Einnahmen und Ausgaben.

### isSumme

public boolean isSumme()
Liefert true, wenn es eine Summen-Zeile ist.

Returns:
  true, wenn es eine Summen-Zeile ist.

### setIsSumme

public void setIsSumme(boolean b)
Legt fest, ob es sich um eine Summen-Zeile handelt.

Parameters:
  `b` - true, wenn es eine Summen-Zeile ist.

### equals

public boolean equals(de.willuhn.datasource.GenericObject arg0) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`